> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/fr/automatisation/runbooks/runbook-references/device/security/restrict-or-release-code-execution.md).

# Restreindre ou lever la restriction d’exécution du code

### Description

Ce runbook restreint l’exécution du code sur un appareil via Microsoft Defender for Endpoint afin que seul le code signé par Microsoft puisse s’exécuter. En option, il peut supprimer une restriction existante. Fournissez un bref motif afin que l’action soit documentée dans le service.

### Emplacement

Appareil → Sécurité → Restreindre ou lever l’exécution du code

**Nom complet du runbook**

rjgit-device\_security\_restrict-or-release-code-execution

### Détails

| Propriété      | Valeur                             |
| -------------- | ---------------------------------- |
| Version        | 1.0.1                              |
| Modules requis | RealmJoin.RunbookHelper (>= 0.8.9) |
| Planifiable    | non                                |

### Autorisations

#### Autorisations d’application

* **Type**: WindowsDefenderATP
  * Machine.Read.All
    * *Trouve l’appareil Defender for Endpoint via /machines filtré par aadDeviceId*
  * Machine.RestrictExecution
    * *Déclenche restrictCodeExecution ou unrestrictCodeExecution sur l’appareil*

### Paramètres

#### DeviceId

L’identifiant de l’appareil cible.

| Propriété              | Valeur                                             |
| ---------------------- | -------------------------------------------------- |
| Obligatoire            | vrai                                               |
| Valeur par défaut      |                                                    |
| Type                   | Chaîne de caractères                               |
| Masqué dans le portail | oui (prédéfini via la personnalisation du runbook) |

#### Libérer

"Restreindre l’exécution du code" (valeur finale : false) ou "Supprimer la restriction d’exécution du code" (valeur finale : true) peuvent être sélectionnés comme action à effectuer. Si défini sur false, le runbook restreindra l’exécution du code sur l’appareil dans Microsoft Defender for Endpoint. Si défini sur true, il supprimera une restriction d’exécution du code existante sur l’appareil dans Microsoft Defender for Endpoint.

| Propriété                  | Valeur  |
| -------------------------- | ------- |
| Obligatoire                | vrai    |
| Valeur par défaut          | Faux    |
| Type                       | Booléen |
| Nom d’affichage du portail | Action  |

**Options du portail**

| Option du portail                            | Valeur |
| -------------------------------------------- | ------ |
| Restreindre l’exécution du code              | faux   |
| Supprimer la restriction d’exécution du code | vrai   |

#### Commentaire

Un bref motif de l’action de (dé)restriction.

| Propriété                  | Valeur                       |
| -------------------------- | ---------------------------- |
| Obligatoire                | vrai                         |
| Valeur par défaut          | Risque de sécurité possible. |
| Type                       | Chaîne de caractères         |
| Nom d’affichage du portail | Motif de la (dé)restriction  |

[Retour à l’aperçu de la référence du runbook](/fr/automatisation/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/fr/automatisation/runbooks/runbook-references/device/security/restrict-or-release-code-execution.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
